<template>
  <section class="b-hero">
    <div class="l">
      <div class="b-hero__body">
        <h1 class="b-hero__text">{{ text }}</h1>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: "AppHero",
  props: {
    text: {
      type: String,
      default: "Apply for a role"
    }
  }
};
</script>

<style lang="scss">
.b-hero {
  background-color: $c-brand-primary;
  padding: 4.5rem 0;

  @include breakpoint(overPhone) {
    padding: 4.8rem 0;
  }

  &__body {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  &__text {
    font-size: 3.8rem;
    line-height: 5rem;
    color: $c-white;

    @include breakpoint(overPhone) {
      font-size: 4.2rem;
      line-height: 5.4rem;
    }
  }
}
</style>
